The officially official Devuan Forum!

You are not logged in.

#1 2019-01-06 14:02:24

Beatzekatze
Member
Registered: 2019-01-06
Posts: 4  

[SOLVED] Unable to install nvidia drivers

Hi,

I am pretty new to Dev1, but liking it very much. The only downside: I struggle with the graphics setup.
When attempting to install the Nvidia drivers I get following error message (sorry for the German, translation below):

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 libgl1 : Hängt ab von: libglx0 (= 1.1.0-1~bpo9+1) soll aber nicht installiert werden
 nvidia-driver : Hängt ab von: xserver-xorg-video-nvidia (= 384.130-1) soll aber nicht installiert werden
 nvidia-driver-libs : Hängt ab von: libgl1-nvidia-glvnd-glx (= 384.130-1) soll aber nicht installiert werden
                      Empfiehlt: nvidia-driver-libs-i386
                      Empfiehlt: libglx-nvidia0 (= 384.130-1) soll aber nicht installiert werden
                      Empfiehlt: nvidia-vulkan-icd (= 384.130-1) soll aber nicht installiert werden
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.

So, basically

Following packages have unresolved dependencies:
 libgl1 : Depends on: libglx0 (= 1.1.0-1~bpo9+1) but should not be installed
 nvidia-driver : Depends on: xserver-xorg-video-nvidia (= 384.130-1) but should not be installed
 nvidia-driver-libs : Depends on: libgl1-nvidia-glvnd-glx (= 384.130-1) but should not be installed
                      Recommended: nvidia-driver-libs-i386
                      Recommended: libglx-nvidia0 (= 384.130-1) but should not be installed
                      Recommended: nvidia-vulkan-icd (= 384.130-1) but should not be installed

I found some topics related to the issue on Debian, but the solutions weren't helpful. So any advice is appreciated!

Little extra: is there any comprehensive, in depth guide on all the X - infrastructure in Linux (Dev1 / Debian or else)? In every Linux distro this seems to be the part causing me the most headache.

Here are some details about my system:

inxi -GSMr
System:    Host: olga Kernel: 4.9.0-8-amd64 x86_64 (64 bit)
           Desktop: Xfce 4.12.3 Distro: Devuan GNU/Linux ascii
Machine:   Device: desktop System: Gigabyte product: Z270-Gaming K3 v: Default string
           Mobo: Gigabyte model: Z270-Gaming K3 v: x.x
           UEFI: American Megatrends v: F2 date: 11/01/2016
Graphics:  Card: NVIDIA GK106 [GeForce GTX 660]
           Display Server: X.Org 1.19.2 drivers: nouveau (unloaded: modesetting,fbdev,vesa)
           Resolution: 1920x1200@59.95hz
           GLX Renderer: Gallium 0.4 on NVE6 GLX Version: 3.0 Mesa 13.0.6
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://pkgmaster.devuan.org/merged ascii main
           deb http://pkgmaster.devuan.org/merged ascii-updates main
           deb http://pkgmaster.devuan.org/merged ascii-security main
           deb http://at.deb.devuan.org/merged ascii main contrib non-free
           deb-src http://at.deb.devuan.org/merged ascii main contrib non-free
           deb http://at.deb.devuan.org/merged ascii-security main contrib non-free
           deb-src http://at.deb.devuan.org/merged ascii-security main contrib non-free
           deb http://at.deb.devuan.org/merged ascii-updates main contrib non-free
           deb-src http://at.deb.devuan.org/merged ascii-updates main contrib non-free
           deb http://deb.devuan.org/merged ascii-backports main contrib non-free
           deb-src http://deb.devuan.org/merged ascii-backports main contrib non-free

Last edited by Beatzekatze (2019-01-08 18:15:51)

Offline

#2 2019-01-06 17:39:47

chris2be8
Member
Registered: 2018-08-11
Posts: 56  

Re: [SOLVED] Unable to install nvidia drivers

Hello,

I had a lot of "fun" getting CUDA working under Devuan. See the following threads for details:
https://dev1galaxy.org/viewtopic.php?id=2299
https://dev1galaxy.org/viewtopic.php?id=2259

And search the forum for keywords like CUDA, Nvidia, nouveau, etc.

Chris

Offline

#3 2019-01-07 20:00:59

Beatzekatze
Member
Registered: 2019-01-06
Posts: 4  

Re: [SOLVED] Unable to install nvidia drivers

Hi,

I've seen this topics during my 'struggle' . But as far as I understand it, your problems began after you have installed nvidia-drivers, i.e.

sudo apt-get install nvidia-driver

has worked. Sadly, that is the point where it fails in my case. So all fixes, which apply after nvidia driver installation aren't (yet) helping.
I am now trying to install the drivers via the NVIDIA-Linux-x86_64-410.93.run route, but noveau drivers are resisting all my blacklist attempts

Offline

#4 2019-01-07 22:59:50

thierrybo
Member
Registered: 2017-11-11
Posts: 39  

Re: [SOLVED] Unable to install nvidia drivers

it seems you mixed backports packages. libglx0 (= 1.1.0-1~bpo9+1) is from backports, so perhaps you added backports to your repositories, installed some packages, then removed the repository. If you removed backport repository, add it again and try to install the more recent nvidia driver from backports:
apt install -t ascii-backports nvidia-driver

Offline

#5 2019-01-08 18:14:23

Beatzekatze
Member
Registered: 2019-01-06
Posts: 4  

Re: [SOLVED] Unable to install nvidia drivers

Thanks a lot,
adding the backports to the command solved the issue. (Now my Steam games + programs are up and running!).

Last edited by Beatzekatze (2019-01-08 18:14:47)

Offline

#6 2019-02-10 04:53:57

cybpun
Member
Registered: 2019-02-09
Posts: 3  

Re: [SOLVED] Unable to install nvidia drivers

thierrybo wrote:

it seems you mixed backports packages. libglx0 (= 1.1.0-1~bpo9+1) is from backports, so perhaps you added backports to your repositories, installed some packages, then removed the repository. If you removed backport repository, add it again and try to install the more recent nvidia driver from backports:
apt install -t ascii-backports nvidia-driver

great thanks!

Offline

Board footer